﻿@model IEnumerable<fenykepalbum_3.AspNetCore.NewDb.Models.Kepek>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-action="Create">Új létrehozása</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Filenev)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Holkeszult)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Mikor)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Leiras)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Filenev)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Holkeszult)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Mikor)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Leiras)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.Id">Szerkesztés</a> |
                <a asp-action="Details" asp-route-id="@item.Id">Részletek</a> |
                <a asp-action="Delete" asp-route-id="@item.Id">Törlés</a>
            </td>
        </tr>
}
    </tbody>
</table>
